### Enumeration

# Gimp PDBProcType

unstable since: 3.0

#### Declaration

    enum Gimp.PDBProcType

#### Description [src]

Types of PDB procedures.

Available since: 3.0

#### Members

`GIMP_PDB_PROC_TYPE_INTERNAL`

  Internal GIMP procedure.

  - Value: `0`
  - Nickname: `internal`
  - Available since: 3.0
`GIMP_PDB_PROC_TYPE_PLUGIN`

  GIMP Plug-In.

  - Value: `1`
  - Nickname: `plugin`
  - Available since: 3.0
`GIMP_PDB_PROC_TYPE_EXTENSION`

  GIMP Extension.

  - Value: `2`
  - Nickname: `extension`
  - Available since: 3.0
`GIMP_PDB_PROC_TYPE_TEMPORARY`

  Temporary Procedure.

  - Value: `3`
  - Nickname: `temporary`
  - Available since: 3.0